#ifndef DISP_H
#define DISP_H

/**
 * \addtogroup disp
 *
 * @{
  */

/**
 * \file
 * disp.h
 */
void delay_ms(uint16_t period);
void DISP_Init(void);
void DISP_Window(int x1, int y1, int x2, int y2);
void DISP_Cls(unsigned int color);
void DISP_Plot(unsigned char x1, unsigned char y1, unsigned int color);
void DISP_Plotd(unsigned char x1, unsigned char y1, unsigned int color);
void DISP_Box(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned int color);
void DISP_SPI_Byte(const unsigned char data[], unsigned int count);
void DISP_SPI_DBCommand(const unsigned int data[], unsigned int count);
void DISP_SPI_Int(unsigned int Value);
void DISP_Wait(void);

void DISP_test(void);
void Bmp(const unsigned char Pbmp[], unsigned int PixelCount,unsigned int bcolor,unsigned int vcolor);
//const unsigned int Table_Nasa256c[256];    // PROGMEM = {
const unsigned char BitmapSmall[][18];
void Move(int x,int y);
void DISPPixel (unsigned char x, unsigned char y, const unsigned char Pbmp[],unsigned int bcolor,unsigned int fcolor );
#define PIXEL_OFF                  0
#define PIXEL_ON                   1
#define PIXEL_XOR                  2
#define modea(void);			
/**
 * @}
 */











/**
 * @}
 * @}
 */

#endif
